QGIS Application - Bug report #17739
MetaSearch: fix inconsistent spatial queries
2017-12-22 10:19 PM - Tom Kralidis

Status: Closed

Priority: High

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25635
Description

Issuing spatial queries via MetaSearch yields inconsistent / unexpected results.

The root cause is that MetaSearch is not being explicit with CRS of a given BBOX, i.e.:

<ogc:BBOX>
<ogc:PropertyName>ows:BoundingBox</ogc:PropertyName>
<gml:Envelope>
<gml:lowerCorner>-180 -90</gml:lowerCorner>
<gml:upperCorner>180 90</gml:upperCorner>
<gml:Envelope>
</ogc:BBOX>

The result is that the CSW MetaSearch interacts with does
not have enough information about the spatial query resulting
in inconsistent axis order handling.

MetaSearch should be more explicit with CRS so that a given
CSW knows exactly the CRS of the bounding box to be able to
detect axis order correctly.

Associated revisions

Revision 04b18f4d - 2017-12-22 10:21 PM - Tom Kralidis

[bugfix] [MetaSearch] make gml:Envelope CRS explicit for spatial queries
(fixes #17739)

Revision 676bba29 - 2017-12-23 02:16 AM - Tom Kralidis

Merge pull request #5942 from tomkralidis/metasearch-explicit-crs

[bugdfix] [MetaSearch] make gml:Envelope CRS explicit for spatial queries (fixes #17739)

Revision a947f6dc - 2017-12-23 02:29 AM - Tom Kralidis

[bugdfix] [MetaSearch] make gml:Envelope CRS explicit for spatial queries (fixes #17739)
Revision d14955c¢cf - 2017-12-23 02:32 AM - Tom Kralidis

[bugfix] [MetaSearch] make gml:Envelope CRS explicit for spatial queries (fixes #17739)

Revision 96cc10c0 - 2017-12-23 02:55 AM - Tom Kralidis

[bugfix] [MetaSearch] make gml:Envelope CRS explicit for spatial queries (fixes #17739)

History

#1 - 2017-12-23 02:16 AM - Tom Kralidis
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|04b18f4d43a488ae480ff852f609487feab4ccd7.

#2 - 2017-12-23 02:55 AM - Tom Kralidis
fixed in branches:

- master

-release-2_18

-release-2_16
- release-2_14

#3 - 2018-02-22 11:40 AM - Giovanni Manghi

- Resolution set to fixed/implemented

2025-04-27 22



